#include <zephyr/kernel.h>
#include <zephyr/device.h>
#include <zephyr/drivers/uart.h>


#define MSG_SIZE 32

static const struct device *uart_dev;
static const struct device *uart_dev1;

static const struct uart_config uart_cfg = {
    .baudrate = 115200,
    .parity = UART_CFG_PARITY_NONE,
    .stop_bits = UART_CFG_STOP_BITS_1,
    .data_bits = UART_CFG_DATA_BITS_8,
    .flow_ctrl = UART_CFG_FLOW_CTRL_NONE
};


int main(void)
{
        char tx_buf[MSG_SIZE];

        uart_dev = DEVICE_DT_GET_OR_NULL(DT_NODELABEL(uart0));
        uart_dev1 = DEVICE_DT_GET_OR_NULL(DT_NODELABEL(uart1));


	if (!device_is_ready(uart_dev)) {
		//printk("UART device not found!");
		return 0;
	}

        if (!device_is_ready(uart_dev1)) {
		//printk("UART device not found!");
		return 0;
	}

/* configure interrupt and callback to receive data */
	if (uart_configure(uart_dev, &uart_cfg)) {
		//printk("UART device not found!");
		return 0;
	}
        if (uart_configure(uart_dev1, &uart_cfg)) {
		//printk("UART device not found!");
		return 0;
	}
        
        while(1)
        {
                uart_poll_out(uart_dev, 0x32);
                uart_poll_out(uart_dev1, 0x32);
                k_msleep(500);
        }
	
        return 0;
}